﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace ClientScript
{
    public partial class TestPage : System.Web.UI.Page,System.Web.UI.ICallbackEventHandler
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            String cbReference = Page.ClientScript.GetCallbackEventReference(this,"arg","ReceiveServerData","context");
            //回调的JavaScript
            String callbackScript;
            callbackScript = "function CallServer(arg,context)"+
                "{"+cbReference+";}";
            //向页面添加javas代码段
            Page.ClientScript.RegisterClientScriptBlock(this.GetType(), "CallServer", callbackScript, true);
            BindData();
        }
        protected string returnValue;
        public String result = "<table>";
        private void BindData()
        {
            DataTable mytable=new DataTable();
            mytable=GenerateData();
            for(int i=0;i<mytable.Rows.Count;i++)
            {
                //第i行第0列的值
                //result = mytable.Rows[i][0].ToString();
                
                result += "<tr><td>" + mytable.Rows[i][0].ToString() + "</td>";
                result += "<td>" + mytable.Rows[i][1].ToString() + "</td>";
                result += "<td>" + mytable.Rows[i][2].ToString() + "</td>";
                result += "<td>" + mytable.Rows[i][3].ToString() + "</td>";
                result += "<td><input type='button' onclick='deleteIt(this);' value='Delete'/></td></tr>";
            }
            result += "</table>";
        }
        //Generate the data in memory.
        protected DataTable GenerateData()
        {
            DataTable worktable = new DataTable("Customers");
            //DataSet customers = new DataSet();
            //DataTable customersTable = customers.Tables.Add("CustomersTable");
            //define the table.
            DataColumn workCol = worktable.Columns.Add("CustID", typeof(Int32));
            workCol.AllowDBNull = false;
            workCol.Unique = true;

            worktable.Columns.Add("CustLName", typeof(String));
            worktable.Columns.Add("CustFName", typeof(String));
            worktable.Columns.Add("Purchases", typeof(Double));

            //add the data to table.
            DataRow workRow;
            for (int i = 0; i <= 9;i++ )
            {
                workRow = worktable.NewRow();
                workRow[0] = i;
                workRow[1] = "CustlName" + i.ToString();
                workRow[2] = "CustFName" + i.ToString();
                workRow[3] = 100.00;
                worktable.Rows.Add(workRow);
            }
            
            return worktable;
        }
        public void RaiseCallbackEvent(String eventArgument)
        {
            //执行数据库删除操作
            returnValue="删除第"+eventArgument+"记录成功!";
        }

        public string GetCallbackResult()
        {
            return returnValue;
        }
        //RaiseCallbackEvent(String eventArgumnet)和GetCallbackResult()方法是实现ICallbackEventHandler接口。
    }
}